s3games.engine.expr

## Enum Expr.internalFunction

- java.lang.Object
- - java.lang.Enum<Expr.internalFunction>
  - - s3games.engine.expr.Expr.internalFunction

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Expr.internalFunction>
  Enclosing class:
    Expr

      public static enum Expr.internalFunction
      extends java.lang.Enum<Expr.internalFunction>

  list of all supported internal functions

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CONTENT`
    `ELTYPE`
    `EMPTY`
    `FORALL`
    `FORSOME`
    `IF`
    `INDEX`
    `INDEXA`
    `LOCATION`
    `LOCTYPE`
    `MOVE`
    `NEXTPLAYER`
    `OWNER`
    `PLAYER`
    `SCORE`
    `SETOWNER`
    `SETSTATE`
    `SETZINDEX`
    `STATE`
    `UNINDEX`
    `UNKNOWN`
    `ZINDEX`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Expr.internalFunction` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Expr.internalFunction[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### IF

          public static final Expr.internalFunction IF

    - #### FORALL

          public static final Expr.internalFunction FORALL

    - #### FORSOME

          public static final Expr.internalFunction FORSOME

    - #### LOCTYPE

          public static final Expr.internalFunction LOCTYPE

    - #### ELTYPE

          public static final Expr.internalFunction ELTYPE

    - #### STATE

          public static final Expr.internalFunction STATE

    - #### LOCATION

          public static final Expr.internalFunction LOCATION

    - #### CONTENT

          public static final Expr.internalFunction CONTENT

    - #### EMPTY

          public static final Expr.internalFunction EMPTY

    - #### INDEX

          public static final Expr.internalFunction INDEX

    - #### INDEXA

          public static final Expr.internalFunction INDEXA

    - #### UNINDEX

          public static final Expr.internalFunction UNINDEX

    - #### OWNER

          public static final Expr.internalFunction OWNER

    - #### PLAYER

          public static final Expr.internalFunction PLAYER

    - #### SCORE

          public static final Expr.internalFunction SCORE

    - #### ZINDEX

          public static final Expr.internalFunction ZINDEX

    - #### MOVE

          public static final Expr.internalFunction MOVE

    - #### SETOWNER

          public static final Expr.internalFunction SETOWNER

    - #### SETSTATE

          public static final Expr.internalFunction SETSTATE

    - #### SETZINDEX

          public static final Expr.internalFunction SETZINDEX

    - #### NEXTPLAYER

          public static final Expr.internalFunction NEXTPLAYER

    - #### UNKNOWN

          public static final Expr.internalFunction UNKNOWN

  - ### Method Detail

    - #### values

          public static Expr.internalFunction[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Expr.internalFunction c : Expr.internalFunction.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Expr.internalFunction valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null